BugTraq
SonicWall Dashboard Backend Server - Client Side Cross Site Scripting Web Vulnerability Mar 06 2014 10:19AM
Vulnerability Lab (admin vulnerability-lab com)
Document Title:
===============
SonicWall Dashboard Backend Server - Client-Side Cross Site Scripting Web Vulnerability

References (Source):
====================
http://www.vulnerability-lab.com/get_content.php?id=1100

Release Date:
=============
2014-03-06

Vulnerability Laboratory ID (VL-ID):
====================================
1100

Common Vulnerability Scoring System:
====================================
2

Product & Service Introduction:
===============================
The SonicWALL® Network Security Appliance (NSA) 2400 is a Unified Threat Management platform for small- to medium-sized
businesses and branch sites requiring capacity and performance. The NSA 2400 integrates dual-core hardware, SonicWALL
Reassembly-Free Deep Packet Inspectionâ?¢, intrusion prevention, application control, and SSL VPN, for real-time
protection without compromising performance.

(Copy of the Vendor Homepage: http://www.sonicwall.com/de/en/products/NSA_2400.html )

Affected
========
Dashboard Backend Service

Abstract Advisory Information:
==============================
The Vulnerability Laboratory Research Team discovered a client-side cross site scripting web vulnerability in the SonicWall backend servers with which firewalls communicate.

Vulnerability Disclosure Timeline:
==================================
2013-09-26: Researcher Notification & Coordination (Benjamin Kunz Mejri)
2013-09-27: Vendor Notification (DELL SonicWall Security Team)
2014-10-06: Vendor Response/Feedback (DELL SonicWall Security Team)
2014-02-18: Vendor Fix/Patch (DELL SonicWall Developer Team)
2014-03-06: Public Disclosure (Vulnerability Laboratory)

Discovery Status:
=================
Published

Exploitation Technique:
=======================
Remote

Severity Level:
===============
Low

Technical Details & Description:
================================
A client-side cross site scripting web vulnerability has been discovered in the SonicWall backend web-server with which appliance firewalls communicate.
The cross site scripting web vulnerability allows an attacker to manipulate client-side browser requests through a vulnerable application module/function.

The cross site scripting vulnerability is located in the dashboard.jsp file when processing to request via GET method manipulated `sn` values.
The injected script code executes on the client-side of the web-application in the dashboard resource checkbox listing backend.
This issue affects sonicwall backend servers with which firewalls communicate. The attack vector is non-persistent (client-side) and the request
method is GET. The security risk of the client-side web vulnerability is estimated as low(+) with a cvss (common vulnerability scoring system)
count of 2.0(+)|(-)2.1.

Exploitation of the client-side web vulnerability requires no privileged web-application user account but low or medium user interaction.
Successful exploitation of the vulnerability results in session hijacking, client-side phishing, client-side external redirects, malicious
GET method requests and client-side manipulation of the vulnerable or connected module context.

Request Method(s):
[+] [GET]

Vulnerable Module(s):
[+] stats

Vulnerable File(s):
[+] dashboard.jsp

Vulnerable Parameter(s):
[+] sn

Proof of Concept (PoC):
=======================
The client-side cross site scripting web vulnerability can be exploited by remote attackers without privileged application user account and with
low or medium user interaction. For security demonstration or to reproduce the issue follow the provided information and steps below to continue.

PoC: Example
http://nsa2400.localhost:8080/stats/dashboard.jsp?sn=[CLIENT-SIDE INJECTED SCRIPT CODE VIA SN!]%3E&UI=5&vndr=sw

PoC: Module: User Monitor - Backend
http://nsa2400.localhost:8080/stats/dashboard.jsp?sn=%3E%22%3Ciframe%20s
rc=http://www.vulnerability-lab.com%3E&UI=5&vndr=sw

Module: User Monitor - Security Dashboard

<form>
<a href="fwl_system_status.html" class="breadcrumb">System/</a><br>
<span class="header">Security Dashboard</span><br>
<table border="0" cellpadding="0" cellspacing="0" width="97%">
<tbody><tr>
<td colspan="2" class="button_row_bg"><img src="images/gen5/clear.gif" height="1" width="1"></td>
</tr>
<tr>
<td class="button_row_image">View:
<input name="mode" value="g" checked="" onclick="changeMode(this.value);" type="radio">Global

<input name="mode" value="l" onclick="changeMode(this.value);" type="radio">>"<[CLIENT-SIDE INJECTED SCRIPT CODE VIA SN!]">
</td>

--- PoC Session Logs [GET] ---
Status: 200[OK]
GET http://nsa2400.localhost:8080/stats/dashboard.jsp?sn=[CLIENT-SIDE INJECTED SCRIPT CODE VIA SN!]%3E&UI=5&vndr=sw
Load Flags[LOAD_DOCUMENT_URI LOAD_INITIAL_DOCUMENT_URI ]
Content Size[-1]
Mime Type[text/html]

Request Headers:
Host[nsa2400.localhost:8080]
User-Agent[Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20100101 Firefox/23.0]
Accept[text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8]
Accept-Language[en-US,en;q=0.5]
Accept-Encoding[gzip, deflate]
DNT[1]
Cookie[JSESSIONID=4D8814AAF02212A2D1C234F9C9192644; __utma=205917072.1209742391.1380320042.1380320042.1380320042.1;
__utmb=205917072.8.10.1380320042; __utmc=205917072; __utmz=205917072.1380320042.1.1.utmcsr=google|utmccn=(organic)|
utmcmd=organic|utmctr=(not%20provided); s_cc=true; s_sq=%5B%5BB%5D%5D; curUrl=userMonitor.html;
curUsr=; 77177=local; 1008=2; 1021=600; 1023=10; 1024=5; 1031=0; 1032=0; 1033=0; 1034=0; 1035=0; 1040=4; 1041=1; 1042=0;
1043=0; 1044=0; 1045=0; 1022=true; 1007=applFolder; SessId=null; PageSeed=null]
Connection[keep-alive]

Response Headers:
Server[Apache-Coyote/1.1]
Expires[Sat, 6 May 1995 12:00:00 GMT]
Cache-Control[no-store, no-cache, must-revalidate, post-check=0, pre-check=0]
Pragma[no-cache]
Content-Type[text/html]
Date[Fri, 27 Sep 2013 22:16:36 GMT]
Connection[close]

Solution - Fix & Patch:
=======================
The vulnerability can be patched by a secure parse or encode of the vulnerable sn value in the backend server application with which the firewall appliances communicates.

2014-02-18: Vendor Fix/Patch (DELL SonicWall Developer Team)

SonicWall: This issue affects sonicwall backend servers with which firewalls communicate. Backend servers have been updated with the fix for this issue on 02/18/2014.

Security Risk:
==============
The security risk of the client-side cross site scripting web vulnerability is estimated as low(+).

Credits & Authors:
==================
Vulnerability Laboratory [Research Team] - Benjamin Kunz Mejri (bkm (at) evolution-sec (dot) com [email concealed]) [www.vulnerability-lab.com]

Disclaimer & Information:
=========================
The information provided in this advisory is provided as it is without any warranty. Vulnerability Lab disclaims all warranties,
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation
may not apply. We do not approve or encourage anybody to break any vendor licenses, policies, deface websites, hack into databases
or trade with fraud/stolen material.

Domains: www.vulnerability-lab.com - www.vuln-lab.com - www.evolution-sec.com
Contact: admin (at) vulnerability-lab (dot) com [email concealed] - research (at) vulnerability-lab (dot) com [email concealed] - admin (at) evolution-sec (dot) com [email concealed]
Section: www.vulnerability-lab.com/dev - forum.vulnerability-db.com - magazine.vulnerability-db.com
Social: twitter.com/#!/vuln_lab - facebook.com/VulnerabilityLab - youtube.com/user/vulnerability0lab
Feeds: vulnerability-lab.com/rss/rss.php - vulnerability-lab.com/rss/rss_upcoming.php - vulnerability-lab.com/rss/rss_news.php

Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability Laboratory.
Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of other
media, are reserved by Vulnerability-Lab Research Team or its suppliers. All pictures, texts, advisories, source code, videos and
other information on this website is trademark of vulnerability-lab team & the specific authors or managers. To record, list (feed),
modify, use or edit our material contact (admin (at) vulnerability-lab (dot) com [email concealed] or research (at) vulnerability-lab (dot) com [email concealed]) to get a permission.

Copyright © 2014 | Vulnerability Laboratory [Evolution Security]

--
VULNERABILITY LABORATORY ADMINISTRATION
DOMAIN: www.vulnerability-lab.com
CONTACT: admin (at) vulnerability-lab (dot) com [email concealed]
PHONE: +4915776363337 (DE)

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus